### Method

# Gegl Random float_range

#### Declaration [src]

    gfloat
    gegl_random_float_range (
      const GeglRandom* rand,
      gint x,
      gint y,
      gint z,
      gint n,
      gfloat min,
      gfloat max
    )

#### Description [src]

Return a random floating point number in the range specified, for the given x,y coordinates and GeglRandom provided, if multiple different numbers are needed pass in incrementing n’s.

#### Parameters

`x`

  Type: `gint`

  X coordinate.

`y`

  Type: `gint`

  Y coordinate.

`z`

  Type: `gint`

  Z coordinate (mipmap level).

`n`

  Type: `gint`

  Number no (each x,y coordinate provides its own sequence of numbers.

`min`

  Type: `gfloat`

  Minimum value.

`max`

  Type: `gfloat`

  Maximum value.

#### Return value

Type: `gfloat`

No description available.